// Athlete.h
//

#ifndef Athlete_h
#define Athlete_h
#include "UserBoxerPose.h"
#include "Boxer.h"
#include "wiimote.h"

class DataVisitor;

class Athlete : public Boxer{
protected:
  int height;
  bool pressedQuit_;
  wiimote* remote;
public:
  UserBoxerPose pose;
  virtual const BoxerPose* getPose() const;
  int headHeight;
  bool eyesOnOpponent;
  Athlete (std::string name);
  virtual void updateInfoFromMarker (bool eyesOnOpponent, int headHeight);
  virtual void init();
  virtual bool pressedQuit();
  virtual void acceptExporter(const DataVisitor &visitor);
  virtual ~ Athlete ();
};
#endif
