#pragma once

template <class T, class T_impl>
class Bridge {
  public:
    typedef T_impl Impl;
    bool isNull() const {
        return !impl_;
    }
  protected:
    Bridge(const boost::shared_ptr<Impl>& impl = boost::shared_ptr<Impl>())
    : impl_(impl) {}
    boost::shared_ptr<Impl> impl_;
};