// osgHelperFunctions.h
//
#include <cstdlib>
#include <osg/Geode>
#include <osgViewer/Viewer>
#include <osgViewer/ViewerEventHandlers>
#include <osgText/Text>
#include <osg/Node>
#include <osg/Geometry>

#ifndef osgHelperFunctions_h
#define osgHelperFunctions_h
class osgHelperFunctions
{
public:
  osgHelperFunctions ();
  static osg::Drawable * createSquare (osg::Vec3 const & corner, osg::Vec3 const & width, osg::Vec3 const & height, osg::Image * image = NULL);
  static osg::Camera * createOrthoCamera (double width, double height);
  static osgText::Text * createLabel (std::string const & l, unsigned int size);
  virtual ~ osgHelperFunctions ();
};
#endif
